Bug 7308 - s3:libads: retry with signing after getting LDAP_STRONG_AUTH_REQUIRED
Summary: s3:libads: retry with signing after getting LDAP_STRONG_AUTH_REQUIRED
Status: RESOLVED WONTFIX
Alias: None
Product: Samba 3.5
Classification: Unclassified
Component: Winbind (show other bugs)
Version: 3.5.1
Hardware: Other Linux
: P3 normal
Target Milestone: ---
Assignee: Stefan Metzmacher
QA Contact: Samba QA Contact
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-30 03:34 UTC by Stefan Metzmacher
Modified: 2011-08-31 20:55 UTC (History)
1 user (show)

See Also:


Attachments
Patch for v3-5 (1.44 KB, patch)
2010-03-30 03:36 UTC, Stefan Metzmacher
gd: review? (gd)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2010-03-30 03:34:14 UTC
If server requires LDAP signing we're getting LDAP_STRONG_AUTH_REQUIRED,
if "client ldap sasl wrapping = plain", instead of failing we now
autoupgrade to "client ldap sasl wrapping = sign" for the given connection.
Comment 1 Stefan Metzmacher 2010-03-30 03:36:00 UTC
Created attachment 5565 [details]
Patch for v3-5
Comment 2 Stefan Metzmacher 2011-07-30 08:48:42 UTC
It seems nobody wants this for 3.5.x, will be fixed in 3.6.0